package de.tudresden.inf.st.sample.callback;

import de.tudresden.inf.st.pnml.jastadd.model.PetriNet;
import de.tudresden.inf.st.pnml.jastadd.model.Transition;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <Generated>
 */
public class CallbackMapper {

    // methods generated for each petri net
    public static final Map<String, List<AbstractHandler>> initCallbacksForNode1(PetriNet petriNet){

        Map<String, List<AbstractHandler>> callbackMap = new HashMap<>();

        // TODO: implementation by user

        SampleNetCallback callback = new SampleNetCallback("default_cb", 1, new ArrayList<>());

        for(Transition t : petriNet.allTransitions()){
            if(t.asInputSignalTransition().getStaticTransitionInformation().isDefaultTransitionInformation()){
                List<AbstractHandler> cbList = new ArrayList<>();
                cbList.add(callback);
                callbackMap.put(t.getId(), cbList);
            }
        }

        return callbackMap;
    }

    // methods generated for each petri net
    public static final Map<String, List<AbstractHandler>> initCallbacksForNode2(PetriNet petriNet){

        Map<String, List<AbstractHandler>> callbackMap = new HashMap<>();

        // TODO: implementation by user

        SampleNetCallback callback = new SampleNetCallback("default_cb", 1, new ArrayList<>());

        for(Transition t : petriNet.allTransitions()){
            if(t.asInputSignalTransition().getStaticTransitionInformation().isDefaultTransitionInformation()){
                List<AbstractHandler> cbList = new ArrayList<>();
                cbList.add(callback);
                callbackMap.put(t.getId(), cbList);
            }
        }

        return callbackMap;
    }
}
